---
name: Input
---

import { Playground, PropsTable } from 'docz'

import { InputComponent } from './input.js'
import { DoczWrapper } from '../theme/docz.js'

# Input

## Properties

<PropsTable of={InputComponent} />

## Text Input

<Playground>
  <DoczWrapper>
    {() => (
      <InputComponent
        inputType='input'
        value='Hello World!'
        onChange={console.log}
      />
    )}
  </DoczWrapper>
</Playground>

## Textarea

<Playground>
  <DoczWrapper>
    {() => (
      <InputComponent
        inputType='textarea'
        value='I am Zcash Electron Wallet'
        onChange={console.log}
        rows={10}
      />
    )}
  </DoczWrapper>
</Playground>
